using e_suite.Service.Sentinel;
using e_suite.UnitTestCore;
using Sentinel.UnitTests.Repository;

namespace Sentinel.UnitTests.Helpers;

public class SentinelTestBase : TestBase
{
    public FakeSentinelRepository SentinelRepository = null!;

    public ISentinel Sentinel = null!;
    public ISentinelMaintenance SentinelMaintenance = null!;

    public override async Task Setup()
    {
        await base.Setup();

        SentinelRepository = new FakeSentinelRepository();

        Sentinel = new e_suite.Service.Sentinel.Sentinel(_fakeClock, _configuration, SentinelRepository);
        SentinelMaintenance = new e_suite.Service.Sentinel.SentinelMaintenance(_fakeClock, _configuration, SentinelRepository);
    }
}